## Class TSelectMappedStatement

Description

TSelectMappedStatment class.

- since: 3.1
- version: $Id: TSelectMappedStatement.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Statements/TSelectMappedStatement.php (line 21)

    TComponent
       |
       --TMappedStatement
          |
          --TSelectMappedStatement

Method Summary
void executeInsert (mixed $connection, mixed $parameter)
void executeUpdate (mixed $connection, mixed $parameter)
Methods
executeInsert (line 23)

- access: public

void executeInsert (mixed $connection, mixed $parameter)

Redefinition of:

TMappedStatement::executeInsert()
  Execute an insert statement. Fill the parameter object with the ouput parameters if any, also could return the insert generated key.

executeUpdate (line 29)

- access: public

void executeUpdate (mixed $connection, mixed $parameter)

Redefinition of:

TMappedStatement::executeUpdate()
  Execute an update statement. Also used for delete statement.

#### Inherited Methods

Inherited From TMappedStatement

> TMappedStatement::__construct()
> TMappedStatement::addResultMapGroupBy()
> TMappedStatement::applyResultMap()
> TMappedStatement::enquequePostSelect()
> TMappedStatement::executeInsert()
> TMappedStatement::executePostSelect()
> TMappedStatement::executeQueryForList()
> TMappedStatement::executeQueryForMap()
> TMappedStatement::executeQueryForObject()
> TMappedStatement::executeSelectKey()
> TMappedStatement::executeSQLQueryLimit()
> TMappedStatement::executeUpdate()
> TMappedStatement::fillArrayResultMap()
> TMappedStatement::fillDefaultResultMap()
> TMappedStatement::fillPropertyWithResultMap()
> TMappedStatement::fillResultArrayList()
> TMappedStatement::fillResultClass()
> TMappedStatement::fillResultMap()
> TMappedStatement::fillResultObjectProperty()
> TMappedStatement::getCommand()
> TMappedStatement::getID()
> TMappedStatement::getManager()
> TMappedStatement::getPostGeneratedSelectKey()
> TMappedStatement::getPostSelectKeys()
> TMappedStatement::getPreGeneratedSelectKey()
> TMappedStatement::getResultMapGroupKey()
> TMappedStatement::getScalarResult()
> TMappedStatement::getSqlString()
> TMappedStatement::getStatement()
> TMappedStatement::initialGroupByResults()
> TMappedStatement::onExecuteQuery()
> TMappedStatement::raiseRowDelegate()
> TMappedStatement::runQueryForList()
> TMappedStatement::runQueryForMap()
> TMappedStatement::runQueryForObject()
> TMappedStatement::setObjectProperty()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TMappedStatement

> TMappedStatement::QUERY_FOR_ARRAY
> TMappedStatement::QUERY_FOR_LIST
> TMappedStatement::QUERY_FOR_OBJECT

Documentation generated on Mon, 21 Apr 2008 11:36:10 -0400 by phpDocumentor 1.3.0RC4